Subject: Re: bug#20727: 24.5; Font fallback doesn't work for the Emoji range

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Jun 2015 19:14:01 +0300

> Date: Sun, 14 Jun 2015 13:39:31 -0700
> From: Paul Eggert <[email-masked]>
> CC: [email-masked], [email-masked], 
>  [email-masked]
> 
>     You can try
>     something like
> 
>        (set-fontset-font "fontset-default" '(#x2047 . #x204B) "FreeMono")
> 
>     and then try typing characters from this range and also a few outside
>     of it, but still between 2000..206F -- is the result acceptable?  It
>     looks weird on my system, but I think I'm less sensitive to these
>     issues, so I'm not sure about others.
> 
> For those two characters FreeMono does look nicer. There are a few other characters where perhaps some people would prefer FreeMono too. It's not a big deal, though. Perhaps we should just leave it that way until someone with real experience with those symbols (i.e., not me) needs to use them in real text.

I agree, let's leave these alone.

>         The currency symbols look worse than before: they used to be constant-width
>         (most of them anyway) and matched Ubuntu Mono better.  Perhaps we should leave
>         them alone?
> 
>     Which font did they use before?

Yes, the changes I committed yesterday as part of fce59d4 make
fixed-medium-...-iso10646-1 font be preferred for this block, and
according to my references most of the currency symbols are covered by
that font, but not by Ubuntu Mono.  So on Fedora I expect you to see
them displayed with fixed-medium.

> Kind of a mishmash; see below. Ah, now I see which ones don't line up in the fixed-width font: it's the three at the end, which use Symbola. It's this lack of lining-up that is one of the hassles with Symbola.

Unfortunately, monospaced fonts generally have very poor coverage of
the punctuation and symbols blocks, so we are stuck with
variable-pitch fonts for at least some of those.

I tried to improve the situation to some extent in 643e052, by
limiting the portion of the Currency Symbols range where we specify
Symbola to the symbols that are almost never covered by
general-purpose fonts (the ones beyond U+20B5), but that might mean
some users will see boxes with hex codes for a few currency symbols.
We shall see.